<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL$
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Author(s): Michael Clay <claym@osuosl.org>                             |
// |            Frederic Wenzel <fred@osuosl.org>                           |
// +------------------------------------------------------------------------+
// $Id: ZoneHistoryDataList.php 4822 2006-09-15 18:57:40Z morgabra $

/**
 *  ZoneHistoryDataList.php - contains the {@link ZoneHistoryDataList} class
 *
 *  @author $Author:$
 *  @package    htdocs
 *  @subpackage datalists
 *  @filesource
 */

require_once(HTCLASS."/DB_DataObjectDataList.php");
require_once(HTCLASS."/DB_DataObjectDataListSource.php");

/**
 *  This class is used to display the history for a particular zone 
 *
 *  @package    htdocs
 *  @subpackage datalists
 */
class ZoneHistoryDataList extends DB_DataObjectDataList
{

//{{{   get_data_source()

    /**
     *  This message establishes the source for all the data that's going to be
     *  displayed
     */
    function get_data_source()
    {
        $obj = DB_DataObject::Factory('object_history');
        $src = new DB_DataObjectDataListSource(&$obj);
        $this->set_data_source($src);
        $this->_default_orderby = "object_type";
    }

//}}}
//{{{   _user_setup()

    /**
     *  This method establishes the columns of data we're going to be representing
     *  and also sets the action for the page in case of a search.
     */
    function _user_setup()
    {
        $this->add_header_item(_("Comment"), '15%', "comment");
        $this->add_header_item(_("Object Type"), '15%', "object_type", SORTABLE, SEARCHABLE);
        $this->add_header_item(_("Action Type"), '15%', "action", SORTABLE, SEARCHABLE);
        $this->add_header_item(_("Date"), '15%', "date", SORTABLE);
        $this->add_header_item(_("Username"), '15%',"username", SORTABLE, SEARCHABLE);

        $this->_datasource->setup_db_options(array("zone" => $_SESSION['zone']));
        $this->set_save_vars(array("action"=>$_REQUEST['action']));
    }

//}}}
//{{{   build_column_item()

    /**
     *  This method takes care of determining how the columns will be displayed.
     *  There are two columns that must be treated specially, and the others
     *  fall back to their default.
     */
    function build_column_item($row_data, $col_name)
    {
        switch($col_name) {
        
        case _("Comment"):
            $obj = html_a(web_root()."zone.php?action=show_history&amp;id=".$row_data['id'],
                            substr($row_data['comment'],0,20));
            break;
        
        case _("Date"):
            $obj = format_date($row_data['date']);
            break;
        
        default:
            $obj = parent::build_column_item($row_data, $col_name);

        }

        return $obj;
        
    }

//}}}

}
?>
