<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL$
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Author(s): Zack Bartel <bartel@osuosl.org>                             |
// |            Frederic Wenzel <fred@osuosl.org>                           |
// +------------------------------------------------------------------------+
// $Id: HelpCreateForm.php 3964 2006-01-05 21:49:51Z bartel $

/**
 *  HelpCreateForm.php - contains the {@link HelpCreateForm} class
 *
 *  @author $Author$
 *  @package    htdocs
 *  @subpackage forms
 *  @filesource
 */

require_once(FORMDIR."/MaintainForm.php");

/**
 *  This class is used for creating Help Records
 *  
 *  @package    htdocs
 *  @subpackage forms
 */
class HelpCreateForm extends MaintainForm
{

//{{{   vars
   
    /**
     *  Dirty cheat to map form elements to dbdo vars
     */
    var $map = array("Document_Name"=>"ident",
                    "Content"=>"content");
    
//}}}

//{{{   form_init_elements()

    /**
     *  This method initializes all of the elements of the form
     */
    function form_init_elements()
    {
        $name = new FEText(_("Document Name"), true);
        $con = new FETextArea(_("Content"), true, 25, 60);

        $this->add_elements($name, $con);
        $this->set_action($_SERVER["SCRIPT_NAME"]);
        
    }

//}}}

//{{{   form_backend_validation()

    /**
     *  This method validates the values that were given before processing.
     *  Since all help documents are valid as long as neither field is null
     *  I think the form does all of the work.
     *
     *  @return Boolean     True if data is valid
     */
    function form_backend_validation()
    {
        $result = true;
        /*
        $vals = $this->remap($this->get_all_element_values(), DBDO);
        $h = new Help($vals["ident"]);
        $h->setFrom($vals);
        $valid = $h->validate();
        if ($valid !== true)    {
        } 
        */
        return $result;
        
    }

//}}}
//{{{   form_action()

    /**
     *  This method is what processes the data after validation.  In this case
     *  it creates a Help record.
     *
     *  @return Boolean     True if action was successful
     */
    function form_action()
    {
        global $user;
    
        $res = true;
        switch(strtolower($this->get_action())) {
        
        case _("submit"):
            /* Grab form data and turn it into DB_DO dudes */
            $vars = $this->remap($this->get_all_element_values(), DBDO);
            $help = new Help($vars['ident']);
            $help->query("BEGIN");
            $help->setContent($vars['content']);
            
            $help->insert();
            $help->query("COMMIT");
            break;

        default:
            $this->add_error(_("ERROR"), _("Invalid form action"));
            break;
        
        }

        return $res;
    }

//}}}
//{{{   form_success()

    /**
     *  This method lets them know they were successful in creating the record
     *  and allows them to go back to the index or to the list.
     */
    function form_success()
    {
        $div = html_div("hsuccess");
        $indlink = html_a("index.php", "[Return to Home]");
        $link = html_a("help.php", "[Return to Help List]");
        $div->add(container("Help Record created successfully!",html_br()));
        $div->add(container($indlink, $link));
        return $div; 
    }

//}}}

}

?>
