<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/tags/release-3.0.0-RC3/htdocs/option.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: ZackBartel  <bartel@osuosl.org>                               |
// |                                                                        |
// +------------------------------------------------------------------------+
// $Id: option.php 4822 2006-09-15 18:57:40Z morgabra $

/**
  * Handles the object_option object. NOT the DHCPOption object.
  *
  * @package    htdocs
  */

require_once("includes.php");
require_once(HTCLASS."/datalist/ObjectOptionDataList.php");
require_once(FORMDIR."/ObjectOptionCreateForm.php");
require_once(FORMDIR."/ObjectOptionEditForm.php");
require_once(FORMDIR."/ObjectOptionDeleteConfirm.php");


session_start();

setup_user_environment();

$title = html_span("title");

$skin = Skin::Factory($user->color_template);

$content = container($title);

switch(strtolower($_REQUEST['action']))  {

case 'create':
    if (!$user->is_admin()) {
        header("Location: denied.php");
        exit;
    }
    
    $type = $_REQUEST['object_type'];
    $type[0] = strtoupper($type[0]);
    
    $title->add(_("Creating a new $type DHCP Option"));
    $content->add($title);

    $chf = new FormProcessor(new ObjectOptionCreateForm, "optioncreate");
    $chf->set_render_form_after_success(false);
    $content->add($chf);
    
    break;
    
case 'delconfirm':
case 'delete':
    if (!$user->is_admin()) {
        header("Location: denied.php");
        exit;
    }

    $opt = new Option($_REQUEST['id']);
    $type = $opt->type;

    $title->add(_("Deleting DHCP Option for this $type"));
    $content->add($title);
    
    $hdc = new FormProcessor(new ObjectOptionDeleteConfirm("option", "display"), "deloo");
    $hdc->set_render_form_after_success(false);

    $content->add(html_br(2), $hdc, html_br(2));

    break;


case 'edit':
    if (!$user->is_admin()) {
        header("Location: denied.php");
        exit;
    }
    
    $title->add(_("Editing Object Option"));
    $content->add($title);

    $hef = new FormProcessor(new ObjectOptionEditForm, "optionedit");
    $hef->set_render_form_after_success(false);
    $content->add($hef);
    break;
case 'show':
default:
    if(!$user->is_admin()) {
        header("Location: denied.php");
        exit;
    }
    if (!isset($_REQUEST['object_id']) && $_REQUEST['object_type'] != "global")  {
        break;
    } 
    $objtype = $_REQUEST['object_type'];
    $objid = $_REQUEST['object_id'];

    $title->add(_("Viewing DHCP Options for {$objtype}"));
    $content->add($title);


    $am = $skin->getActionMenu();
    $am->add(html_a(web_root()."option.php?action=create&amp;object_type={$objtype}&amp;object_id=".$objid, _("Add a new DHCP Option to this {$objtype}"))); 
    $am->add(html_a($objtype.".php?action=edit&amp;id=".$objid, _("View the {$objtype} associated with these Options"))); 
    $dol = new ObjectOptionDataList($objtype, $objid);
    $dol->user_setup();
    $span = html_span("displayobject_title", _("Viewing DHCP Options for this {$objtype}"));
    $content->add(html_br(2), $span, html_br(2), $am, html_br(2), $dol);
    break;

}

print $skin->display($content);

?>
