<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/tags/release-3.0.0-RC3/htdocs/vlan.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Michael Clay <claym@osuosl.org>                               |
// +------------------------------------------------------------------------+
// $Id: vlan.php 4822 2006-09-15 18:57:40Z morgabra $

/**
  * VLAN Pages
  *
  * @package    htdocs
  */

require_once("includes.php");
require_once(HTCLASS."/datalist/VlanDataList.php");
require_once(FORMDIR."/VlanCreateForm.php");
require_once(FORMDIR."/VlanEditForm.php");
require_once(FORMDIR."/MaintainDeleteConfirm.php");

session_start();

setup_user_environment();

$title = html_span("title");

$skin = Skin::Factory($user->color_template);

$content = container();

switch(strtolower($_REQUEST['action'])) {

case 'edit':
    if(!$user->is_admin())
        header("Location: ".web_root()."denied.php");
    $title->add(_("Modifying VLAN"));
    $vef = new FormProcessor(new VlanEditForm, "vlanedit");
    $vef->set_render_form_after_success(false);
    $content->add($title);
    $content->add(html_br(2), Skin::amFactory(AM_EDIT, _("VLAN")), html_br(2));
    $content->add(show_live_time($_REQUEST['id'], _("VLAN")));
    $content->add($vef);
    break;
    
case 'create':
    if(!$user->is_admin())
        header("Location: ".web_root()."denied.php");
    $title->add(_("Creating VLAN"));
    $vcf = new FormProcessor(new VlanCreateForm(), "vlancreate");
    $vcf->set_render_form_after_success(false);
    $content->add($title);
    $content->add($vcf);
    break;

case 'delconfirm':
    if(!$user->is_admin())
        header("Location: ".web_root()."denied.php");
    $title->add(_("Deleting VLAN"));
    $content->add($title);
    $delconf = new FormProcessor(new MaintainDeleteConfirm("VLAN", "Name"), "delconf");
    $content->add($delconf);
    break;

case 'show':
case 'show_all':

default:
    if(!$user->is_admin())
        header("Location: ".web_root()."denied.php");
    if(isset($_REQUEST['id'])) {
        $vlan = new Vlan($_REQUEST['id']);
        $title->add(_("Showing VLAN"));
        $content->add($title);
        $content->add(html_br(2), Skin::amFactory(AM_SHOW, _("VLAN")), html_br(2));
        $content->add(show_live_time($_REQUEST['id'], _("VLAN")));
        $content = Module::apply_filter("object_info",$content,$vlan); 
    } else {
        $vl = new VlanDataList("VLAN");
        $title->add(_("Showing VLANs"));
        $vl->user_setup();
        $content->add($title);
        $content->add(html_br(2), Skin::amFactory(AM_LIST, _("VLAN")), html_br(2));
        $content->add($vl);
    } 
}

print $skin->display($content);

?>
